### Hierarchy

- EmptyDrawable
  - MetaCircleBase

## Index

### Constructors

- constructor

### Properties

- center
- radius
- descriptor

### Methods

- getObjectToSerialize
- minDistance

## Constructors

### constructor

- new MetaCircleBase(center: vec2, radius: number): MetaCircleBase

- - Defined in drawables/shapes/meta-circle-factory.ts:9

  #### Parameters

  - ##### center: vec2

  - ##### radius: number

  #### Returns MetaCircleBase

## Properties

### center

center: vec2

- Defined in drawables/shapes/meta-circle-factory.ts:10

### radius

radius: number

- Defined in drawables/shapes/meta-circle-factory.ts:10

### Static Readonly descriptor

descriptor: DrawableDescriptor

Inherited from EmptyDrawable.descriptor

Overrides Drawable.descriptor

- Defined in drawables/empty-drawable.ts:11

## Methods

### Protected getObjectToSerialize

- getObjectToSerialize(transform2d: mat2d, transform1d: number): any

- Inherited from EmptyDrawable.getObjectToSerialize

  Overrides Drawable.getObjectToSerialize

  - Defined in drawables/empty-drawable.ts:19

  #### Parameters

  - ##### transform2d: mat2d

  - ##### transform1d: number

  #### Returns any

### minDistance

- minDistance(target: vec2): number

- Inherited from EmptyDrawable.minDistance

  Overrides Drawable.minDistance

  - Defined in drawables/empty-drawable.ts:14

  #### Parameters

  - ##### target: vec2

  #### Returns number